package common.nbt;

import java.io.DataInput;
import java.io.DataOutput;
import java.io.IOException;

class NBTTagEnd extends NBTBase {
	void read(DataInput input, int depth, SizeTracker tracker) throws IOException {
		tracker.read(8);
	}

	void write(DataOutput output) throws IOException {
	}

	public byte getId() {
		return (byte)0;
	}

	public String toString() {
		return "END";
	}

	public NBTBase copy() {
		return new NBTTagEnd();
	}
}
