package common.nbt;

public class NBTTagIntArrayList extends NBTTagList<NBTTagIntArray> {
	public byte getId() {
		return 15;
	}

	public byte getType() {
		return 11;
	}

	public NBTTagList<NBTTagIntArray> createInstance() {
		return new NBTTagIntArrayList();
	}

	public NBTTagIntArray getDefault() {
		return new NBTTagIntArray(new int[0]);
	}

	public int[] get(int index) {
		return this.getElem(index).getIntArray();
	}

	public void add(int[] value) {
		this.addElem(new NBTTagIntArray(value));
	}
}
